package nl.logicacmg.grid.client;


import gateinterface.GateImpl;
import gateinterface.Gate.GatePortType;
import gateinterface.Gate.GateServiceGridLocator;
import java.net.URL;


import org.apache.log4j.Logger;

public class GridGateClient implements GateClient {
	private GateServiceGridLocator locator;
	private GatePortType porttype;
	private URL gsh;
	Logger logger=Logger.getLogger(GateImpl.class);
	
	public String send(String gateaddress, String servicename, String request) {
	 try{    
		gsh=new URL(gateaddress);  
		locator=new GateServiceGridLocator();
	    porttype=locator.getGateService(gsh);
	   } catch (Exception e){
        logger.fatal(e);
	  }

		logger.debug("GridGateClient: send request (servicename="+servicename+")");
		String reply=null;
		try{
		reply=porttype.send(request,servicename);
		} 
		catch (Exception e){
		 logger.fatal(e);
		}
		return reply;
	}
	
	
	
	
}
