package nl.logicacmg.grid.client;

import java.io.Serializable;
import java.util.HashMap;

public class Parameters implements Serializable{
	private HashMap parameters;
	
    public Parameters(){
    	parameters=new HashMap();	
    }
    public void add(String name, Object value){
     parameters.put(name,value);    	
    }
	public void add(String name, int value){
		 parameters.put(name,new Integer(value));    	
	}
	
	public void add(String name, double value){
		 parameters.put(name,new Double(value));    	
	}

    public int getAsInt(String name){
    	return ((Integer)(parameters.get(name))).intValue();
    }

	public double getAsDouble(String name){
		return ((Double)(parameters.get(name))).doubleValue();
	}
	
	public Object get(String name){
     return (Object)parameters.get(name);	
	}

	public HashMap getAsHashMap() {
		return parameters;
	}

	public void set(HashMap hashmap) {
		parameters = hashmap;
	}

}
