package gateinterface;

import gateinterface.Gate.GatePortType;
import nl.logicacmg.grid.generic.Service;
import nl.logicacmg.grid.service.mandelbrot.Mandelbrot;

import org.globus.ogsa.impl.ogsi.GridServiceImpl;

public class GateImpl extends GridServiceImpl implements GatePortType{
 
	 public GateImpl(){
	 	super("gate service");
	}

	public String send(String request, String servicename) {
		System.out.println("GridImpl receive request (servicename="+servicename+")");
		
		Service service = null;
		if (servicename.equals("mandelbrot")) {
			service = new Mandelbrot();

		}
		return service.perform(request);
	}

 
}
