package nl.logicacmg.grid.service.mandelbrot;

import nl.logicacmg.grid.generic.Madem;
import nl.logicacmg.grid.generic.Service;

public class Mandelbrot extends Service{
	MandelbrotGenerator generator;
	
    public Mandelbrot(){
    	super();
		generator=new MandelbrotGenerator();
	}
 
	public String perform(String request) {
		MandelbrotRequest req=(MandelbrotRequest) Madem.object(request);
		generator.defineColorTable(req.getColorpeaks());
		int[] pixels=generator.getMandelbrotPixels(req.getWidth(),req.getHeight(),req.getMinx(),req.getMiny(),req.getMaxx(),req.getMaxy(),req.getIterations());
		MandelbrotReply mandelbrotreply=new MandelbrotReply(req.getWidth(),req.getHeight(),pixels);
		return Madem.base64(mandelbrotreply);
	}


	
}
